// Informatik 1 - D-ITET, 2003/04
// Uebung 6, Aufgabe 2
// Autor: C. Niederberger
// Titel: n-dimensionale Vektoren

#include <iostream>
using namespace std;

// diese Funktion gibt den Vektor aus
// 8-ung: Nicht Teil der Aufgabe!
void printVector(float* vector, int size)
{
  cout << "Vector = [";
  for (int i=0; i<size; i++)
    {
      cout << vector[i];
      if (i!=size-1) cout << ",";
    }
  cout << "]" << endl;
}

int main()
{
  int n, i;

  cout << "Gib die Dimension der Vektoren ein: ";

  cin >> n;

  // Erzeugen der Vektoren
  float *v1 = new float[n];
  float *v2 = new float[n];
  float *v3 = new float[n];
    
  // Fuellen der Vektoren v1 und v2
  float value = 0.0;
  for (i=0; i<n; i++)
    {
      v1[i] = value;
      v2[i] = value + n;
      value++;
    }

  printVector(v1, n);
  printVector(v2, n);

  // Addition : v3 = v1 + v2
  for (i=0; i<n; i++)
    {
      v3[i] = v1[i] + v2[i];
    }

  printVector(v3, n);

  // Skalarprodukt
  float skalarprodukt = 0.0;
  for (i=0; i<n; i++)
    {
      skalarprodukt += v1[i] * v2[i];
    }

  cout << "Skalarprodukt=" << skalarprodukt << endl;

  // Loeschen der Vektoren:
  delete [] v1;
  delete [] v2;
  delete [] v3;

  return 0;
}
